VerityVerity API
API Reference

Test webhook delivery

Send a test event to verify your webhook endpoint is reachable.

POST
/webhooks/{id}/test

Authorization

bearerAuth
AuthorizationBearer <token>

API keys are prefixed with vrt_live_ for production or vrt_test_ for testing. Example: vrt_live_abc123xyz

In: header

Path Parameters

id*integer

Response Body

application/json

application/json

application/json

application/json

curl -X POST "https://verity.backworkai.com/api/v1/webhooks/0/test"
{
  "success": true,
  "data": {
    "delivery_id": 0,
    "endpoint_id": 0,
    "event": "test.ping",
    "http_status": 0,
    "success": true,
    "error": "string",
    "created_at": "2019-08-24T14:15:22Z"
  }
}
{
  "success": false,
  "error": {
    "code": "VALIDATION_ERROR",
    "message": "Invalid query parameters",
    "hint": "Check the 'code' parameter format",
    "details": {}
  },
  "meta": {
    "request_id": "req_abc123"
  }
}
{
  "success": false,
  "error": {
    "code": "VALIDATION_ERROR",
    "message": "Invalid query parameters",
    "hint": "Check the 'code' parameter format",
    "details": {}
  },
  "meta": {
    "request_id": "req_abc123"
  }
}
{
  "success": false,
  "error": {
    "code": "VALIDATION_ERROR",
    "message": "Invalid query parameters",
    "hint": "Check the 'code' parameter format",
    "details": {}
  },
  "meta": {
    "request_id": "req_abc123"
  }
}